// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/mesh/Mesh.hpp"

#define CUBE_VERTICE_COUNT 8
#define CUBE_INDICE_COUNT 36

namespace Dawn {
  class CubeMesh {
    public:
      static void buffer(
        Mesh &mesh,
        glm::vec3 pos, glm::vec3 size,
        int32_t verticeStart, int32_t indiceStart
      );
  };
}