// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/mesh/Mesh.hpp"

namespace Dawn {
  class TriangleMesh {
    public:
      /**
       * Initializes a mesh to hold a single triangle.
       * 
       * @param mesh Mesh to initialize as a triangle.
       */
      static void createTriangleMesh(Mesh &mesh);
  };
}